Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff2c::/16
First address
ff2c::
Last address
ff2c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff2c:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
c.2.f.f.ip6.arpa
Split into smaller subnets/32

ff2c::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1ff2c::/32ff2c:0:ffff:ffff:ffff:ffff:ffff:ffff
2ff2c:1::/32ff2c:1:ffff:ffff:ffff:ffff:ffff:ffff
3ff2c:2::/32ff2c:2:ffff:ffff:ffff:ffff:ffff:ffff
4ff2c:3::/32ff2c:3:ffff:ffff:ffff:ffff:ffff:ffff
5ff2c:4::/32ff2c:4:ffff:ffff:ffff:ffff:ffff:ffff
6ff2c:5::/32ff2c:5:ffff:ffff:ffff:ffff:ffff:ffff
7ff2c:6::/32ff2c:6:ffff:ffff:ffff:ffff:ffff:ffff
8ff2c:7::/32ff2c:7:ffff:ffff:ffff:ffff:ffff:ffff
9ff2c:8::/32ff2c:8:ffff:ffff:ffff:ffff:ffff:ffff
10ff2c:9::/32ff2c:9:ffff:ffff:ffff:ffff:ffff:ffff
11ff2c:a::/32ff2c:a:ffff:ffff:ffff:ffff:ffff:ffff
12ff2c:b::/32ff2c:b:ffff:ffff:ffff:ffff:ffff:ffff
13ff2c:c::/32ff2c:c:ffff:ffff:ffff:ffff:ffff:ffff
14ff2c:d::/32ff2c:d:ffff:ffff:ffff:ffff:ffff:ffff
15ff2c:e::/32ff2c:e:ffff:ffff:ffff:ffff:ffff:ffff
16ff2c:f::/32ff2c:f:ffff:ffff:ffff:ffff:ffff:ffff
17ff2c:10::/32ff2c:10:ffff:ffff:ffff:ffff:ffff:ffff
18ff2c:11::/32ff2c:11:ffff:ffff:ffff:ffff:ffff:ffff
19ff2c:12::/32ff2c:12:ffff:ffff:ffff:ffff:ffff:ffff
20ff2c:13::/32ff2c:13:ffff:ffff:ffff:ffff:ffff:ffff
21ff2c:14::/32ff2c:14:ffff:ffff:ffff:ffff:ffff:ffff
22ff2c:15::/32ff2c:15:ffff:ffff:ffff:ffff:ffff:ffff
23ff2c:16::/32ff2c:16:ffff:ffff:ffff:ffff:ffff:ffff
24ff2c:17::/32ff2c:17:ffff:ffff:ffff:ffff:ffff:ffff
25ff2c:18::/32ff2c:18:ffff:ffff:ffff:ffff:ffff:ffff
26ff2c:19::/32ff2c:19:ffff:ffff:ffff:ffff:ffff:ffff
27ff2c:1a::/32ff2c:1a:ffff:ffff:ffff:ffff:ffff:ffff
28ff2c:1b::/32ff2c:1b:ffff:ffff:ffff:ffff:ffff:ffff
29ff2c:1c::/32ff2c:1c:ffff:ffff:ffff:ffff:ffff:ffff
30ff2c:1d::/32ff2c:1d:ffff:ffff:ffff:ffff:ffff:ffff
31ff2c:1e::/32ff2c:1e:ffff:ffff:ffff:ffff:ffff:ffff
32ff2c:1f::/32ff2c:1f:ffff:ffff:ffff:ffff:ffff:ffff
33ff2c:20::/32ff2c:20:ffff:ffff:ffff:ffff:ffff:ffff
34ff2c:21::/32ff2c:21:ffff:ffff:ffff:ffff:ffff:ffff
35ff2c:22::/32ff2c:22:ffff:ffff:ffff:ffff:ffff:ffff
36ff2c:23::/32ff2c:23:ffff:ffff:ffff:ffff:ffff:ffff
37ff2c:24::/32ff2c:24:ffff:ffff:ffff:ffff:ffff:ffff
38ff2c:25::/32ff2c:25:ffff:ffff:ffff:ffff:ffff:ffff
39ff2c:26::/32ff2c:26:ffff:ffff:ffff:ffff:ffff:ffff
40ff2c:27::/32ff2c:27:ffff:ffff:ffff:ffff:ffff:ffff
41ff2c:28::/32ff2c:28:ffff:ffff:ffff:ffff:ffff:ffff
42ff2c:29::/32ff2c:29:ffff:ffff:ffff:ffff:ffff:ffff
43ff2c:2a::/32ff2c:2a:ffff:ffff:ffff:ffff:ffff:ffff
44ff2c:2b::/32ff2c:2b:ffff:ffff:ffff:ffff:ffff:ffff
45ff2c:2c::/32ff2c:2c:ffff:ffff:ffff:ffff:ffff:ffff
46ff2c:2d::/32ff2c:2d:ffff:ffff:ffff:ffff:ffff:ffff
47ff2c:2e::/32ff2c:2e:ffff:ffff:ffff:ffff:ffff:ffff
48ff2c:2f::/32ff2c:2f:ffff:ffff:ffff:ffff:ffff:ffff
49ff2c:30::/32ff2c:30:ffff:ffff:ffff:ffff:ffff:ffff
50ff2c:31::/32ff2c:31:ffff:ffff:ffff:ffff:ffff:ffff
51ff2c:32::/32ff2c:32:ffff:ffff:ffff:ffff:ffff:ffff
52ff2c:33::/32ff2c:33:ffff:ffff:ffff:ffff:ffff:ffff
53ff2c:34::/32ff2c:34:ffff:ffff:ffff:ffff:ffff:ffff
54ff2c:35::/32ff2c:35:ffff:ffff:ffff:ffff:ffff:ffff
55ff2c:36::/32ff2c:36:ffff:ffff:ffff:ffff:ffff:ffff
56ff2c:37::/32ff2c:37:ffff:ffff:ffff:ffff:ffff:ffff
57ff2c:38::/32ff2c:38:ffff:ffff:ffff:ffff:ffff:ffff
58ff2c:39::/32ff2c:39:ffff:ffff:ffff:ffff:ffff:ffff
59ff2c:3a::/32ff2c:3a:ffff:ffff:ffff:ffff:ffff:ffff
60ff2c:3b::/32ff2c:3b:ffff:ffff:ffff:ffff:ffff:ffff
61ff2c:3c::/32ff2c:3c:ffff:ffff:ffff:ffff:ffff:ffff
62ff2c:3d::/32ff2c:3d:ffff:ffff:ffff:ffff:ffff:ffff
63ff2c:3e::/32ff2c:3e:ffff:ffff:ffff:ffff:ffff:ffff
64ff2c:3f::/32ff2c:3f:ffff:ffff:ffff:ffff:ffff:ffff
65ff2c:40::/32ff2c:40:ffff:ffff:ffff:ffff:ffff:ffff
66ff2c:41::/32ff2c:41:ffff:ffff:ffff:ffff:ffff:ffff
67ff2c:42::/32ff2c:42:ffff:ffff:ffff:ffff:ffff:ffff
68ff2c:43::/32ff2c:43:ffff:ffff:ffff:ffff:ffff:ffff
69ff2c:44::/32ff2c:44:ffff:ffff:ffff:ffff:ffff:ffff
70ff2c:45::/32ff2c:45:ffff:ffff:ffff:ffff:ffff:ffff
71ff2c:46::/32ff2c:46:ffff:ffff:ffff:ffff:ffff:ffff
72ff2c:47::/32ff2c:47:ffff:ffff:ffff:ffff:ffff:ffff
73ff2c:48::/32ff2c:48:ffff:ffff:ffff:ffff:ffff:ffff
74ff2c:49::/32ff2c:49:ffff:ffff:ffff:ffff:ffff:ffff
75ff2c:4a::/32ff2c:4a:ffff:ffff:ffff:ffff:ffff:ffff
76ff2c:4b::/32ff2c:4b:ffff:ffff:ffff:ffff:ffff:ffff
77ff2c:4c::/32ff2c:4c:ffff:ffff:ffff:ffff:ffff:ffff
78ff2c:4d::/32ff2c:4d:ffff:ffff:ffff:ffff:ffff:ffff
79ff2c:4e::/32ff2c:4e:ffff:ffff:ffff:ffff:ffff:ffff
80ff2c:4f::/32ff2c:4f:ffff:ffff:ffff:ffff:ffff:ffff
81ff2c:50::/32ff2c:50:ffff:ffff:ffff:ffff:ffff:ffff
82ff2c:51::/32ff2c:51:ffff:ffff:ffff:ffff:ffff:ffff
83ff2c:52::/32ff2c:52:ffff:ffff:ffff:ffff:ffff:ffff
84ff2c:53::/32ff2c:53:ffff:ffff:ffff:ffff:ffff:ffff
85ff2c:54::/32ff2c:54:ffff:ffff:ffff:ffff:ffff:ffff
86ff2c:55::/32ff2c:55:ffff:ffff:ffff:ffff:ffff:ffff
87ff2c:56::/32ff2c:56:ffff:ffff:ffff:ffff:ffff:ffff
88ff2c:57::/32ff2c:57:ffff:ffff:ffff:ffff:ffff:ffff
89ff2c:58::/32ff2c:58:ffff:ffff:ffff:ffff:ffff:ffff
90ff2c:59::/32ff2c:59:ffff:ffff:ffff:ffff:ffff:ffff
91ff2c:5a::/32ff2c:5a:ffff:ffff:ffff:ffff:ffff:ffff
92ff2c:5b::/32ff2c:5b:ffff:ffff:ffff:ffff:ffff:ffff
93ff2c:5c::/32ff2c:5c:ffff:ffff:ffff:ffff:ffff:ffff
94ff2c:5d::/32ff2c:5d:ffff:ffff:ffff:ffff:ffff:ffff
95ff2c:5e::/32ff2c:5e:ffff:ffff:ffff:ffff:ffff:ffff
96ff2c:5f::/32ff2c:5f:ffff:ffff:ffff:ffff:ffff:ffff
97ff2c:60::/32ff2c:60:ffff:ffff:ffff:ffff:ffff:ffff
98ff2c:61::/32ff2c:61:ffff:ffff:ffff:ffff:ffff:ffff
99ff2c:62::/32ff2c:62:ffff:ffff:ffff:ffff:ffff:ffff
100ff2c:63::/32ff2c:63:ffff:ffff:ffff:ffff:ffff:ffff
101ff2c:64::/32ff2c:64:ffff:ffff:ffff:ffff:ffff:ffff
102ff2c:65::/32ff2c:65:ffff:ffff:ffff:ffff:ffff:ffff
103ff2c:66::/32ff2c:66:ffff:ffff:ffff:ffff:ffff:ffff
104ff2c:67::/32ff2c:67:ffff:ffff:ffff:ffff:ffff:ffff
105ff2c:68::/32ff2c:68:ffff:ffff:ffff:ffff:ffff:ffff
106ff2c:69::/32ff2c:69:ffff:ffff:ffff:ffff:ffff:ffff
107ff2c:6a::/32ff2c:6a:ffff:ffff:ffff:ffff:ffff:ffff
108ff2c:6b::/32ff2c:6b:ffff:ffff:ffff:ffff:ffff:ffff
109ff2c:6c::/32ff2c:6c:ffff:ffff:ffff:ffff:ffff:ffff
110ff2c:6d::/32ff2c:6d:ffff:ffff:ffff:ffff:ffff:ffff
111ff2c:6e::/32ff2c:6e:ffff:ffff:ffff:ffff:ffff:ffff
112ff2c:6f::/32ff2c:6f:ffff:ffff:ffff:ffff:ffff:ffff
113ff2c:70::/32ff2c:70:ffff:ffff:ffff:ffff:ffff:ffff
114ff2c:71::/32ff2c:71:ffff:ffff:ffff:ffff:ffff:ffff
115ff2c:72::/32ff2c:72:ffff:ffff:ffff:ffff:ffff:ffff
116ff2c:73::/32ff2c:73:ffff:ffff:ffff:ffff:ffff:ffff
117ff2c:74::/32ff2c:74:ffff:ffff:ffff:ffff:ffff:ffff
118ff2c:75::/32ff2c:75:ffff:ffff:ffff:ffff:ffff:ffff
119ff2c:76::/32ff2c:76:ffff:ffff:ffff:ffff:ffff:ffff
120ff2c:77::/32ff2c:77:ffff:ffff:ffff:ffff:ffff:ffff
121ff2c:78::/32ff2c:78:ffff:ffff:ffff:ffff:ffff:ffff
122ff2c:79::/32ff2c:79:ffff:ffff:ffff:ffff:ffff:ffff
123ff2c:7a::/32ff2c:7a:ffff:ffff:ffff:ffff:ffff:ffff
124ff2c:7b::/32ff2c:7b:ffff:ffff:ffff:ffff:ffff:ffff
125ff2c:7c::/32ff2c:7c:ffff:ffff:ffff:ffff:ffff:ffff
126ff2c:7d::/32ff2c:7d:ffff:ffff:ffff:ffff:ffff:ffff
127ff2c:7e::/32ff2c:7e:ffff:ffff:ffff:ffff:ffff:ffff
128ff2c:7f::/32ff2c:7f:ffff:ffff:ffff:ffff:ffff:ffff
129ff2c:80::/32ff2c:80:ffff:ffff:ffff:ffff:ffff:ffff
130ff2c:81::/32ff2c:81:ffff:ffff:ffff:ffff:ffff:ffff
131ff2c:82::/32ff2c:82:ffff:ffff:ffff:ffff:ffff:ffff
132ff2c:83::/32ff2c:83:ffff:ffff:ffff:ffff:ffff:ffff
133ff2c:84::/32ff2c:84:ffff:ffff:ffff:ffff:ffff:ffff
134ff2c:85::/32ff2c:85:ffff:ffff:ffff:ffff:ffff:ffff
135ff2c:86::/32ff2c:86:ffff:ffff:ffff:ffff:ffff:ffff
136ff2c:87::/32ff2c:87:ffff:ffff:ffff:ffff:ffff:ffff
137ff2c:88::/32ff2c:88:ffff:ffff:ffff:ffff:ffff:ffff
138ff2c:89::/32ff2c:89:ffff:ffff:ffff:ffff:ffff:ffff
139ff2c:8a::/32ff2c:8a:ffff:ffff:ffff:ffff:ffff:ffff
140ff2c:8b::/32ff2c:8b:ffff:ffff:ffff:ffff:ffff:ffff
141ff2c:8c::/32ff2c:8c:ffff:ffff:ffff:ffff:ffff:ffff
142ff2c:8d::/32ff2c:8d:ffff:ffff:ffff:ffff:ffff:ffff
143ff2c:8e::/32ff2c:8e:ffff:ffff:ffff:ffff:ffff:ffff
144ff2c:8f::/32ff2c:8f:ffff:ffff:ffff:ffff:ffff:ffff
145ff2c:90::/32ff2c:90:ffff:ffff:ffff:ffff:ffff:ffff
146ff2c:91::/32ff2c:91:ffff:ffff:ffff:ffff:ffff:ffff
147ff2c:92::/32ff2c:92:ffff:ffff:ffff:ffff:ffff:ffff
148ff2c:93::/32ff2c:93:ffff:ffff:ffff:ffff:ffff:ffff
149ff2c:94::/32ff2c:94:ffff:ffff:ffff:ffff:ffff:ffff
150ff2c:95::/32ff2c:95:ffff:ffff:ffff:ffff:ffff:ffff
151ff2c:96::/32ff2c:96:ffff:ffff:ffff:ffff:ffff:ffff
152ff2c:97::/32ff2c:97:ffff:ffff:ffff:ffff:ffff:ffff
153ff2c:98::/32ff2c:98:ffff:ffff:ffff:ffff:ffff:ffff
154ff2c:99::/32ff2c:99:ffff:ffff:ffff:ffff:ffff:ffff
155ff2c:9a::/32ff2c:9a:ffff:ffff:ffff:ffff:ffff:ffff
156ff2c:9b::/32ff2c:9b:ffff:ffff:ffff:ffff:ffff:ffff
157ff2c:9c::/32ff2c:9c:ffff:ffff:ffff:ffff:ffff:ffff
158ff2c:9d::/32ff2c:9d:ffff:ffff:ffff:ffff:ffff:ffff
159ff2c:9e::/32ff2c:9e:ffff:ffff:ffff:ffff:ffff:ffff
160ff2c:9f::/32ff2c:9f:ffff:ffff:ffff:ffff:ffff:ffff
161ff2c:a0::/32ff2c:a0:ffff:ffff:ffff:ffff:ffff:ffff
162ff2c:a1::/32ff2c:a1:ffff:ffff:ffff:ffff:ffff:ffff
163ff2c:a2::/32ff2c:a2:ffff:ffff:ffff:ffff:ffff:ffff
164ff2c:a3::/32ff2c:a3:ffff:ffff:ffff:ffff:ffff:ffff
165ff2c:a4::/32ff2c:a4:ffff:ffff:ffff:ffff:ffff:ffff
166ff2c:a5::/32ff2c:a5:ffff:ffff:ffff:ffff:ffff:ffff
167ff2c:a6::/32ff2c:a6:ffff:ffff:ffff:ffff:ffff:ffff
168ff2c:a7::/32ff2c:a7:ffff:ffff:ffff:ffff:ffff:ffff
169ff2c:a8::/32ff2c:a8:ffff:ffff:ffff:ffff:ffff:ffff
170ff2c:a9::/32ff2c:a9:ffff:ffff:ffff:ffff:ffff:ffff
171ff2c:aa::/32ff2c:aa:ffff:ffff:ffff:ffff:ffff:ffff
172ff2c:ab::/32ff2c:ab:ffff:ffff:ffff:ffff:ffff:ffff
173ff2c:ac::/32ff2c:ac:ffff:ffff:ffff:ffff:ffff:ffff
174ff2c:ad::/32ff2c:ad:ffff:ffff:ffff:ffff:ffff:ffff
175ff2c:ae::/32ff2c:ae:ffff:ffff:ffff:ffff:ffff:ffff
176ff2c:af::/32ff2c:af:ffff:ffff:ffff:ffff:ffff:ffff
177ff2c:b0::/32ff2c:b0:ffff:ffff:ffff:ffff:ffff:ffff
178ff2c:b1::/32ff2c:b1:ffff:ffff:ffff:ffff:ffff:ffff
179ff2c:b2::/32ff2c:b2:ffff:ffff:ffff:ffff:ffff:ffff
180ff2c:b3::/32ff2c:b3:ffff:ffff:ffff:ffff:ffff:ffff
181ff2c:b4::/32ff2c:b4:ffff:ffff:ffff:ffff:ffff:ffff
182ff2c:b5::/32ff2c:b5:ffff:ffff:ffff:ffff:ffff:ffff
183ff2c:b6::/32ff2c:b6:ffff:ffff:ffff:ffff:ffff:ffff
184ff2c:b7::/32ff2c:b7:ffff:ffff:ffff:ffff:ffff:ffff
185ff2c:b8::/32ff2c:b8:ffff:ffff:ffff:ffff:ffff:ffff
186ff2c:b9::/32ff2c:b9:ffff:ffff:ffff:ffff:ffff:ffff
187ff2c:ba::/32ff2c:ba:ffff:ffff:ffff:ffff:ffff:ffff
188ff2c:bb::/32ff2c:bb:ffff:ffff:ffff:ffff:ffff:ffff
189ff2c:bc::/32ff2c:bc:ffff:ffff:ffff:ffff:ffff:ffff
190ff2c:bd::/32ff2c:bd:ffff:ffff:ffff:ffff:ffff:ffff
191ff2c:be::/32ff2c:be:ffff:ffff:ffff:ffff:ffff:ffff
192ff2c:bf::/32ff2c:bf:ffff:ffff:ffff:ffff:ffff:ffff
193ff2c:c0::/32ff2c:c0:ffff:ffff:ffff:ffff:ffff:ffff
194ff2c:c1::/32ff2c:c1:ffff:ffff:ffff:ffff:ffff:ffff
195ff2c:c2::/32ff2c:c2:ffff:ffff:ffff:ffff:ffff:ffff
196ff2c:c3::/32ff2c:c3:ffff:ffff:ffff:ffff:ffff:ffff
197ff2c:c4::/32ff2c:c4:ffff:ffff:ffff:ffff:ffff:ffff
198ff2c:c5::/32ff2c:c5:ffff:ffff:ffff:ffff:ffff:ffff
199ff2c:c6::/32ff2c:c6:ffff:ffff:ffff:ffff:ffff:ffff
200ff2c:c7::/32ff2c:c7:ffff:ffff:ffff:ffff:ffff:ffff
201ff2c:c8::/32ff2c:c8:ffff:ffff:ffff:ffff:ffff:ffff
202ff2c:c9::/32ff2c:c9:ffff:ffff:ffff:ffff:ffff:ffff
203ff2c:ca::/32ff2c:ca:ffff:ffff:ffff:ffff:ffff:ffff
204ff2c:cb::/32ff2c:cb:ffff:ffff:ffff:ffff:ffff:ffff
205ff2c:cc::/32ff2c:cc:ffff:ffff:ffff:ffff:ffff:ffff
206ff2c:cd::/32ff2c:cd:ffff:ffff:ffff:ffff:ffff:ffff
207ff2c:ce::/32ff2c:ce:ffff:ffff:ffff:ffff:ffff:ffff
208ff2c:cf::/32ff2c:cf:ffff:ffff:ffff:ffff:ffff:ffff
209ff2c:d0::/32ff2c:d0:ffff:ffff:ffff:ffff:ffff:ffff
210ff2c:d1::/32ff2c:d1:ffff:ffff:ffff:ffff:ffff:ffff
211ff2c:d2::/32ff2c:d2:ffff:ffff:ffff:ffff:ffff:ffff
212ff2c:d3::/32ff2c:d3:ffff:ffff:ffff:ffff:ffff:ffff
213ff2c:d4::/32ff2c:d4:ffff:ffff:ffff:ffff:ffff:ffff
214ff2c:d5::/32ff2c:d5:ffff:ffff:ffff:ffff:ffff:ffff
215ff2c:d6::/32ff2c:d6:ffff:ffff:ffff:ffff:ffff:ffff
216ff2c:d7::/32ff2c:d7:ffff:ffff:ffff:ffff:ffff:ffff
217ff2c:d8::/32ff2c:d8:ffff:ffff:ffff:ffff:ffff:ffff
218ff2c:d9::/32ff2c:d9:ffff:ffff:ffff:ffff:ffff:ffff
219ff2c:da::/32ff2c:da:ffff:ffff:ffff:ffff:ffff:ffff
220ff2c:db::/32ff2c:db:ffff:ffff:ffff:ffff:ffff:ffff
221ff2c:dc::/32ff2c:dc:ffff:ffff:ffff:ffff:ffff:ffff
222ff2c:dd::/32ff2c:dd:ffff:ffff:ffff:ffff:ffff:ffff
223ff2c:de::/32ff2c:de:ffff:ffff:ffff:ffff:ffff:ffff
224ff2c:df::/32ff2c:df:ffff:ffff:ffff:ffff:ffff:ffff
225ff2c:e0::/32ff2c:e0:ffff:ffff:ffff:ffff:ffff:ffff
226ff2c:e1::/32ff2c:e1:ffff:ffff:ffff:ffff:ffff:ffff
227ff2c:e2::/32ff2c:e2:ffff:ffff:ffff:ffff:ffff:ffff
228ff2c:e3::/32ff2c:e3:ffff:ffff:ffff:ffff:ffff:ffff
229ff2c:e4::/32ff2c:e4:ffff:ffff:ffff:ffff:ffff:ffff
230ff2c:e5::/32ff2c:e5:ffff:ffff:ffff:ffff:ffff:ffff
231ff2c:e6::/32ff2c:e6:ffff:ffff:ffff:ffff:ffff:ffff
232ff2c:e7::/32ff2c:e7:ffff:ffff:ffff:ffff:ffff:ffff
233ff2c:e8::/32ff2c:e8:ffff:ffff:ffff:ffff:ffff:ffff
234ff2c:e9::/32ff2c:e9:ffff:ffff:ffff:ffff:ffff:ffff
235ff2c:ea::/32ff2c:ea:ffff:ffff:ffff:ffff:ffff:ffff
236ff2c:eb::/32ff2c:eb:ffff:ffff:ffff:ffff:ffff:ffff
237ff2c:ec::/32ff2c:ec:ffff:ffff:ffff:ffff:ffff:ffff
238ff2c:ed::/32ff2c:ed:ffff:ffff:ffff:ffff:ffff:ffff
239ff2c:ee::/32ff2c:ee:ffff:ffff:ffff:ffff:ffff:ffff
240ff2c:ef::/32ff2c:ef:ffff:ffff:ffff:ffff:ffff:ffff
241ff2c:f0::/32ff2c:f0:ffff:ffff:ffff:ffff:ffff:ffff
242ff2c:f1::/32ff2c:f1:ffff:ffff:ffff:ffff:ffff:ffff
243ff2c:f2::/32ff2c:f2:ffff:ffff:ffff:ffff:ffff:ffff
244ff2c:f3::/32ff2c:f3:ffff:ffff:ffff:ffff:ffff:ffff
245ff2c:f4::/32ff2c:f4:ffff:ffff:ffff:ffff:ffff:ffff
246ff2c:f5::/32ff2c:f5:ffff:ffff:ffff:ffff:ffff:ffff
247ff2c:f6::/32ff2c:f6:ffff:ffff:ffff:ffff:ffff:ffff
248ff2c:f7::/32ff2c:f7:ffff:ffff:ffff:ffff:ffff:ffff
249ff2c:f8::/32ff2c:f8:ffff:ffff:ffff:ffff:ffff:ffff
250ff2c:f9::/32ff2c:f9:ffff:ffff:ffff:ffff:ffff:ffff
251ff2c:fa::/32ff2c:fa:ffff:ffff:ffff:ffff:ffff:ffff
252ff2c:fb::/32ff2c:fb:ffff:ffff:ffff:ffff:ffff:ffff
253ff2c:fc::/32ff2c:fc:ffff:ffff:ffff:ffff:ffff:ffff
254ff2c:fd::/32ff2c:fd:ffff:ffff:ffff:ffff:ffff:ffff
255ff2c:fe::/32ff2c:fe:ffff:ffff:ffff:ffff:ffff:ffff
256ff2c:ff::/32ff2c:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses